MINOVA DEMO - Bug #2019

Lookup yang dipilih tidak masuk ke grid
02/22/2023 09:37 AM - Fiona Avangeline Jonathan

Status: Closed Start date: 02/22/2023
Priority: Immediate Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

Mang Wanto,

Mohon dibantu untuk lookup di tab Resource dan Timesheet menu Project Document setelah dipilih tidak masuk ke grid.

Project Document

Document Header a

Project Descrif Lookup - ResourcelD ® PT. GLOBAL FOODS
Quick Search Advance Search 01/01/2023

Document Stal  Emp 10/ External 1D/ Full 30/06/2023
Name:
Process ID:
Employee ID  External ID  Full Name Company ID  Employee Area E
10000148 X1238a ERICSSON MINOVAIS | Minova Kantor Pusat I
10000149 Misugi NewD1  MINOVAIS | Minova Kantor Pusat
10000150 Boas MINOVAIS | Minova Kantor Pusat

Document Deti 10000151 Avrigl MINOVAIS | Minova Kantor Pusat

Activity Detail Resource Timesheet Cost
@ Add T Delete () Upload (%) Download
Resource ID Resource Name Resource Type Rate RateType Quantity Amount Remark

Mohon dibantu juga untuk kolom Resource name di 2 tab tersebut otomatis terisi sesuai Resource ID yang dipilih

Port: http://demo.minovais.com:61124/
Menu: Logistic & Service > Project Management > Project Document

History

#1 - 02/22/2023 09:41 AM - Fiona Avangeline Jonathan

- Description updated

#2 - 02/22/2023 11:36 AM - Saswanto Tampan

- Assignee changed from Saswanto Tampan to Fiona Avangeline Jonathan

di sdatatablefield
table name = PTRPROJECTRESOURCE
fieldname = ResourcelD

isikan kolom SelectFunction

debugger; var grid = Ext.ComponentQuery.query('[name=gridCELLGRIDPTRPROJECTRESOURCE]')[0]; var record =
grid.getSelectionModel().getSelection()[0]; var GridEmployeelD = Ext.ComponentQuery.query('[name=GridEmployeelD]')[0]; var selection =
GridEmployeelD.getView().getSelectionModel().getSelection()[0]; record.set('ResourcelD', selection.data.EmployeelD); record.set('ResourceName’,
selection.data.FullName);

tugasmu bikin dokumentasinya
http://demo.minovais.com:61124/

#3 - 02/22/2023 02:50 PM - Fiona Avangeline Jonathan

- Status changed from Assigned to Closed
Done, terima kasih.
